#
# spec file for package libsoup (Version 2.2.96)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libgcc41 libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libjpeg libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtiff libtool libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers lzo lzo-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libsoup
BuildRequires:  gnutls-devel gtk2-devel libxml2-devel lzo-devel pkgconfig update-desktop-files
%define prefix /opt/gnome
License:        GNU Library General Public License v. 2.0 and 2.1 (LGPL)
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Summary:        Simple Object Access Protocol (SOAP)
Version:        2.2.96
Release:        31.1
Source:         ftp://ftp.gnome.org/pub/GNOME/stable/sources/libsoup/2.2/%{name}-%{version}.tar.bz2
Patch0:         header-parsing.patch
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides a queued asynchronous callback-based mechanism for sending
and servicing SOAP requests and a WSDL (Web Service Definition
Language) to C compiler that generates client stubs and server
skeletons for easily calling and implementing SOAP methods.

It uses the Glib main loop and is designed to work well with GTK+
applications.  This enables GNOME applications to access SOAP servers
on the network in a completely asynchronous fashion, very similar to
the GTK+ programming model (a synchronous operation mode is also
supported for those who want it).

The WSDL compiler helps you make your applications interoperate with
services that expose their descriptions through WSDL.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       libsoup = %{?epoch:%{epoch}:}%{version}
Requires:       gnutls-devel libgpg-error-devel libgcrypt-devel
Requires:       glib2-devel libxml2-devel

%description devel
Soup is a SOAP (Simple Object Access Protocol) implementation in C. It
provides a queued, asynchronous callback-based mechanism for sending
SOAP requests. This package allows you to develop applications that use
the Soup library.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%prep
%setup -q
%patch0 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS -g3"
./configure --prefix=%{prefix} \
	    --mandir=%{_mandir} \
            --libdir=%{prefix}/%{_lib}
make

%install
make -s install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL
%{prefix}/%_lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/include/libsoup-2.2
%{prefix}/%{_lib}/lib*.*a
%{prefix}/%{_lib}/lib*.so
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/gtk-doc/html/libsoup/

%changelog -n libsoup
* Tue Jan 16 2007 - maw@suse.de
- Add header-parsing.patch (#235084 and CVE-2006-5876).
* Tue Nov 07 2006 - cstender@suse.de
- removed 'rm -rf $RPM_BUILD_ROOT' from build section
- added ldconfig call
* Tue Aug 15 2006 - jhargadon@suse.de
- update to version 2.2.96
- SoupServer now works even if you don't explicitly set an
  encoding for the response.
- WWW-Authenticate and Proxy-Authenticate responses with no
  realm parameter are now ignored
- Fixed a bug in soup_mktime_utc()
* Wed Jul 05 2006 - dgollub@suse.de
- update to 2.2.94:
  * Various fixes to the XML-RPC code (which apparently had not
  actually ever worked before) from Brent Smith. [343973,
  344222, 344458]
  * Added client and server API tutorials to the docs
  * auth-test now uses a local Apache 2.2 install, if possible,
  rather than depending on files that used to be on an old
  Ximian web server but haven't been anywhere for a long time.
  [311825]
- changes from 2.2.92 to 2.2.93
  * Fixed outgoing data corruption caused when SoupServer
  started writing out a response a second time after already
  having started once. [334469]. Also fixed 342640 and another
  bug caused by the workaround for 334469 in 2.2.92. Based on
  patches and analysis from William Jon McCann and Armin
  Bauer.
  * Fixed a deadlock when changing a session's proxy URI.
  [309867 / bnc 174255, based on a patch by Veerapuram
  Varadhan].
  * Fixed https-via-proxies in the synchronous case. [bnc 174255]
  * Fixed a crash in evolution-exchange [342545, fix based on an
  analysis by Wang Xin].
  * Fixed simple-proxy to not crash at startup. Oops. (Alex
  Larsson)
- changes from 2.2.91 to 2.2.92
  * Fixed server-side digest auth to return a valid "algorithm"
  value and client-side to not crash if it sees an invalid one
  [328615].
  * Fixed the Request-Line parsing code to not hardcode a
  maximum URI length (to allow very long DAAP requests from
  iTunes in Rhythmbox). [335040]
- changes from 2.2.90 to 2.2.91
  * SoupSession, SoupServer, SoupConnection, SoupSocket, and
  SoupAddress now have an "async-context" property that allows
  you to use the async API in a non-default GMainContext.
  [Based on patches from Armin Bauer and Jörg Billeter.]
  * Fixed some bugs in soup_date_iso8601_parse(). [324671, from
  Emmanuele Bassi]
* Mon Feb 27 2006 - danw@suse.de
- Add a patch from CVS for use by evolution
  (make connection timeout configurable)
* Tue Feb 21 2006 - sbrabec@suse.cz
- Do not require exact release in devel file.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 17 2005 - danw@suse.de
- update to 2.2.90, which includes the opensync patches
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Mon Aug 22 2005 - jpr@suse.de
- Update to released 2.2.6.1 which includes the cvs patches we were already
  folding in plus the second part of the fix for 104319
* Thu Aug 18 2005 - ro@suse.de
- update to cvs version folding in other patches
* Thu Aug 18 2005 - ro@suse.de
- added libsoup-2.2.3-danw-tambet-threading.patch
* Mon Aug 15 2005 - ro@suse.de
- fixed memory leak (port of patch from #95454)
* Fri Aug 12 2005 - ro@suse.de
- updated and re-enabled patches...
* Fri Aug 12 2005 - jpr@suse.de
- Add lzo and lzo-devel to neededforbuild to get ssl support back (104319)
* Fri Aug 12 2005 - gekker@suse.de
- Update to version 2.2.5
* Wed Jun 29 2005 - gekker@suse.de
- Update to version 2.2.3
* Tue Jun 28 2005 - gekker@suse.de
- Add patch for close exec (62176).
* Thu Mar 10 2005 - hvogel@suse.de
- More gnutls patching. Fixed CPU sucking bug #57811 (ximian)
* Sat Feb 05 2005 - gekker@suse.de
- Update to version 2.2.2
* Fri Jan 28 2005 - meissner@suse.de
- Added sentinels to spot bad valist handling, no-strict-aliasing
  is not needed here.
* Sat Jan 22 2005 - ro@suse.de
- GNUTLS_CERT_NOT_TRUSTED is no longer present in current gnutls
* Mon Nov 29 2004 - gekker@suse.de
- Update to version 2.2.1
* Wed Oct 20 2004 - dobey@suse.de
- Add patch for bugzilla.ximian.com bug #68583
* Fri Aug 27 2004 - dobey@suse.de
- Update to version 2.2.0
* Fri Aug 13 2004 - dobey@suse.de
- Update to version 2.1.13
- Require glib2-devel for the libsoup-devel package
* Thu Aug 05 2004 - dobey@suse.de
-  Add proper dependencies to the devel package
* Thu Aug 05 2004 - dobey@suse.de
-  Fix support for SSL
* Wed Jul 28 2004 - dobey@suse.de
-  Updated to version 2.1.12
* Fri Jun 04 2004 - mibarra@suse.de
-  Updated to version 2.1.11
* Sat May 22 2004 - mibarra@suse.de
- Updated to version 2.1.10.
* Tue May 18 2004 - clahey@suse.de
- Updated to version 2.1.9.
* Mon Mar 22 2004 - hhetter@suse.de
- updated to version 1.99.28
* Tue Mar 16 2004 - meissner@suse.de
- -fno-strict-aliasing.
* Fri Aug 08 2003 - sbrabec@suse.cz
- Updated to version 1.99.23.
* Tue Aug 05 2003 - sbrabec@suse.cz
- Package renamed to libsoup.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 22 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
